Name: tar-gnu
Version: 1.29
Release: 5
License: GPL-3.0-or-later
Summary: GNU tar
Url: https://www.gnu.org/software/tar

Source0: https://ftp.gnu.org/pub/gnu/tar/tar-%{version}.tar.gz

Patch0: tar-unlink.c.patch
Patch1: tar-CVE-2016-6321.patch
Patch2: tar-readlinkat.patch
Patch3: tar-really-no-openat.patch
Patch4: tar-no-stx-hidden.patch
Patch5: tar-no-o_search.patch


%description
GNU Tar provides the ability to create tar archives, as well as various other
kinds of manipulation. For example, you can use Tar on previously created
archives to extract files, to store additional files, or to update or list files
which were already stored.

Initially, tar archives were used to store files conveniently on magnetic tape.
The name "Tar" comes from this use; it stands for tape archiver. Despite the
utility's name, Tar can direct its output to available devices, files, or other
programs (using pipes), it can even access remote devices or files (as
archives).


%prep
%setup -q -n tar-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build

%configure \
  ac_cv_func_faccessat=no \
  ac_cv_func_fchmodat=no \
  ac_cv_func_fchownat=no \
  ac_cv_func_fstatat=no \
  ac_cv_func_futimesat=no \
  ac_cv_func_linkat=no \
  ac_cv_func_lstat=yes \
  ac_cv_func_mkdirat=no \
  ac_cv_func_mkfifoat=no \
  ac_cv_func_mknodat=no \
  ac_cv_func_openat=no \
  ac_cv_func_readlinkat=no \
  ac_cv_func_renameat=no \
  ac_cv_func_symlinkat=no \
  ac_cv_func_unlinkat=no \
  ac_cv_func_utimensat=no \
  LDFLAGS="-Wl,-blibpath:/QOpenSys/usr/lib" \
  --disable-rpath \
  --disable-nls
  
%make_build


%install

%make_install

rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%{_bindir}/tar
%{_infodir}/tar.info
%{_infodir}/tar.info-1
%{_infodir}/tar.info-2
%{_mandir}/man1/tar.1

%changelog
* Wed Mar 18 2020 Jesse Gorzinski <jgorzins@us.ibm.com> - 1.29
- Disable using O_SEARCH FLAG
- This fixes problems using -C or --directory flags
- eg. Cannot open: A system call received a parameter that is not valid.

* Wed Mar 18 2020 Kevin Adler <kadler@us.ibm.com> - 1.29
- Disable using unsupported STX_HIDDEN flag
- This fixes problems using --newer, --newer-mtime, or --after-date flags
- eg. Cannot stat: A system call received a parameter that is not valid.

* Thu Dec 05 2019 Kevin Adler <kadler@us.ibm.com> - 1.29
- Port patch from findutils to fix broken calls to fstatat

* Wed Nov 27 2019 Kevin Adler <kadler@us.ibm.com> - 1.29
- Use SPDX license identifier

* Thu Nov 21 2019 Kevin Adler <kadler@us.ibm.com> - 1.29
- Disable half-implemented *at APIs, fixing IBM i 7.2 build

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unpackaged charset.alias

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Update description

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
